Page MenuHomePhabricator

GlobalPreferences breaks Echo notification blacklist
Closed, ResolvedPublic

Description

Steps to reproduce on a beta cluster wiki:

  1. Ensure you don't have any users in your Special:Preferences echo blacklist (Muted users under Notifications).
  2. Go to Special:GlobalPreferences.
  3. Enable a global override for the blacklist and ensure that it's empty.
  4. Hit save.

Expected: The global blacklist is enabled but empty.
Actual: The global blacklist magically has a user inserted. The user is not in my local blacklist for any wikis.

Triaging this as high priority. Bug introduced as part of the work done in T198935.

Details

Related Gerrit Patches:
mediawiki/extensions/GlobalPreferences : masterFix global user 1 popping up in Echo blacklist

Event Timeline

Niharika triaged this task as High priority.Jul 18 2018, 10:03 PM
Niharika created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2018, 10:03 PM

Let's re-assess on Monday and revert if bug is not fixed before next train.

Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 18 2018, 10:11 PM
Niharika updated the task description. (Show Details)Jul 18 2018, 10:12 PM
SBisson moved this task from Inbox to External on the Growth-Team board.Jul 20 2018, 4:48 PM

Change 447104 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/extensions/GlobalPreferences@master] Fix global user 1 popping up in Echo blacklist

https://gerrit.wikimedia.org/r/447104

Change 447104 merged by jenkins-bot:
[mediawiki/extensions/GlobalPreferences@master] Fix global user 1 popping up in Echo blacklist

https://gerrit.wikimedia.org/r/447104

Niharika closed this task as Resolved.Jul 27 2018, 11:38 PM
Niharika moved this task from QA to Q1 2018-19 on the Community-Tech-Sprint board.